Page MenuHomePhabricator

Deploy multi-lock PoolCounter change
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/extensions/PoolCounter : masterpoolcounter: Depends: adduser
mediawiki/extensions/PoolCounter : masterskip tests while building poolcounter deb

Event Timeline

aaron created this task.Dec 20 2014, 10:54 PM
aaron raised the priority of this task from to Needs Triage.
aaron updated the task description. (Show Details)
aaron added a project: MediaWiki-Core-Team.
aaron moved this task to Backlog on the MediaWiki-Core-Team board.
aaron changed Security from none to None.
aaron added a subscriber: aaron.
Manybubbles added a subscriber: Manybubbles.

Adding operations as the deb needs to be rebuild for poolcounter and it needs to be redeployed.

chasemp triaged this task as Medium priority.Jan 6 2015, 11:04 PM
chasemp lowered the priority of this task from Medium to Low.
chasemp added a subscriber: chasemp.

This needs a better description of why and and what.

Change 184335 had a related patch set uploaded (by Filippo Giunchedi):
skip tests while building poolcounter deb

https://gerrit.wikimedia.org/r/184335

Patch-For-Review

Change 184336 had a related patch set uploaded (by Filippo Giunchedi):
poolcounter: Depends: adduser

https://gerrit.wikimedia.org/r/184336

Patch-For-Review

what:

  • build and upload a new version of poolcounterd debian package
  • coordinate the poolcounter deployment, perhaps under SWAT?
    • namely this involves upgrading the poolcounter package on helium and potassium and restart in turn

why:

  • multi-lock changes from Nik

Change 184336 merged by Filippo Giunchedi:
poolcounter: Depends: adduser

https://gerrit.wikimedia.org/r/184336

Change 184335 merged by jenkins-bot:
skip tests while building poolcounter deb

https://gerrit.wikimedia.org/r/184335

fgiunchedi closed this task as Resolved.Jan 13 2015, 3:42 PM
fgiunchedi claimed this task.

resolving, changes deployed including https://gerrit.wikimedia.org/r/#/c/184640/

Anomie moved this task from Backlog to Done on the MediaWiki-Core-Team board.Jan 13 2015, 5:26 PM
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Jan 20 2015, 10:11 PM